Bug 58643 - gcc3 patch produces ugly warning
gcc3 patch produces ugly warning
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: flex (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-21 23:38 EST by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-21 23:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-01-21 23:38:59 EST
Description of Problem:

The flex-2.5.4a-gcc3.patch of flex-2.5.4a-18 replaces

-  "class istream;",                                                           
                      

with

+  "#include <iostream.h>;",

which keeps the trailing ';'. This produces warnings like 

| foo.cc:25:22: warning: extra tokens at end of #include directive
Comment 1 Ngo Than 2002-01-23 07:15:30 EST
it's fixed in flex-2.5.4a-189. thanks

Note You need to log in before you can comment on or make changes to this bug.